*** a/doc/src/sgml/ref/alter_publication.sgml
--- b/doc/src/sgml/ref/alter_publication.sgml
***************
*** 30,35 **** ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> WITH ( <repl
--- 30,36 ----
      | PUBLISH DELETE | NOPUBLISH DELETE
  
  ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> OWNER TO { <replaceable>new_owner</replaceable> | CURRENT_USER | SESSION_USER }
+ ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> RENAME TO <replaceable>new_name</replaceable>
  ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> ADD TABLE <replaceable class="PARAMETER">table_name</replaceable> [, ...]
  ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> SET TABLE <replaceable class="PARAMETER">table_name</replaceable> [, ...]
  ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> DROP TABLE <replaceable class="PARAMETER">table_name</replaceable> [, ...]
***************
*** 79,84 **** ALTER PUBLICATION <replaceable class="PARAMETER">name</replaceable> DROP TABLE <
--- 80,103 ----
     </varlistentry>
  
     <varlistentry>
+     <term><replaceable class="parameter">new_owner</replaceable></term>
+     <listitem>
+      <para>
+       The user name of the new owner of the publication.
+      </para>
+     </listitem>
+    </varlistentry>
+ 
+    <varlistentry>
+     <term><replaceable class="parameter">new_name</replaceable></term>
+     <listitem>
+      <para>
+       The new name for the publication.
+      </para>
+     </listitem>
+    </varlistentry>
+ 
+    <varlistentry>
      <term><literal>PUBLISH INSERT</literal></term>
      <term><literal>NOPUBLISH INSERT</literal></term>
      <term><literal>PUBLISH UPDATE</literal></term>
*** a/doc/src/sgml/ref/alter_subscription.sgml
--- b/doc/src/sgml/ref/alter_subscription.sgml
***************
*** 35,40 **** ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> REFRESH PUB
--- 35,41 ----
      COPY DATA | NOCOPY DATA
  
  ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> OWNER TO { <replaceable>new_owner</replaceable> | CURRENT_USER | SESSION_USER }
+ ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> RENAME TO <replaceable>new_name</replaceable>
  ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> CONNECTION '<replaceable>conninfo</replaceable>'
  ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> ENABLE
  ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> DISABLE
***************
*** 70,75 **** ALTER SUBSCRIPTION <replaceable class="PARAMETER">name</replaceable> DISABLE
--- 71,94 ----
     </varlistentry>
  
     <varlistentry>
+     <term><replaceable class="parameter">new_owner</replaceable></term>
+     <listitem>
+      <para>
+       The user name of the new owner of the subscription.
+      </para>
+     </listitem>
+    </varlistentry>
+ 
+    <varlistentry>
+     <term><replaceable class="parameter">new_name</replaceable></term>
+     <listitem>
+      <para>
+       The new name for the subscription.
+      </para>
+     </listitem>
+    </varlistentry>
+ 
+    <varlistentry>
      <term><literal>CONNECTION '<replaceable class="parameter">conninfo</replaceable>'</literal></term>
      <term><literal>SLOT NAME = <replaceable class="parameter">slot_name</replaceable></literal></term>
      <listitem>
